Announcer:AddHostMod("OVKL ToolSys 3.0 (random drill times, shorter drills when stealthing, drills jam according to duration)")
drill_orig = MissionDoorTweakData.init

function MissionDoorTweakData:init()
	drill_orig(self)
	math.randomseed( os.time() )
	self.default.devices.drill = {
		{
			align = "a_drill_1",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(5,35) -- original: 20
		},
		{
			align = "a_drill_2",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small")
		}
	}
	self.bank_door_test.devices.drill = {
		{
			align = "a_drill_a",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(5,35) -- original: 20
		}
	}
	self.crossing_armored_vehicle.devices.drill = {
		{
			align = "a_drill_1",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(45,315) -- original: 180
		}
	}
	self.keycard_door.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(45,315) -- original: 180
		}
	}
	self.reinforced_drill_shape_door.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small_jam_once"),
			can_jam = true,
			timer = math.random(15,105) -- original: 60
		}
	}
	self.drill_door.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(30,210) -- original: 120
		}
	}
	self.keycard_door_single.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small_jam_once"),
			can_jam = true,
			timer = math.random(15,105) -- original: 60
		}
	}
	self.safe_small.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(45,315) -- original: 180
		}
	}
	self.safe_small_titan.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(60,420) -- original: 240
		}
	}
	self.safe_medium.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(60,420) -- original: 240
		}
	}
	self.safe_medium_titan.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(75,525) -- original: 300
		}
	}
	self.safe_large.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(75,525) -- original: 300
		}
	}
	self.safe_giga.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(75,525) -- original: 300
		}
	}
	self.safe_giga_90sec.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(22,157) -- original: 90
		}
	}
	self.safe_giga_60sec.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(15,105) -- original: 60
		}
	}
	self.safe_giga_titan.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(90,630) -- original: 360
		}
	}
	self.safe.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(75,525) -- original: 300
		}
	}
	self.safe_titan.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(90,630) -- original: 360
		}
	}
	self.safe_deposit_titan.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = 666 -- i am not ruining this joke
		}
	}
	self.safe_deposit_titan2.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(75,525) -- original: 300
		}
	}
	self.vault_door.devices.drill = {
		{
			align = "a_lance_1",
			unit = Idstring("units/payday2/equipment/gen_interactable_drill_large_thermic/gen_interactable_drill_large_thermic"),
			can_jam = true,
			timer = math.random(90,630) -- original: 360
		}
	}
	self.train_door.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(15,105) -- original: 60
		}
	}
	self.shape_and_drill.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(45,315) -- original: 180
		}
	}
	self.shape_and_drill_30.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = false,
			timer = math.random(7,52) -- original: 30
		}
	}
	self.drill.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(15,105) -- original: 60
		}
	}
	self.drill_120.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(30,210) -- original: 120
		}
	}
	self.truck.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(30,210) -- original: 120
		}
	}
	self.arm_trans.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(50,350) -- original: 200
		}
	}
	self.train_cargo_door.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = false,
			timer = math.random(15,105) -- original: 60
		}
	}
	self.cage_door.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(15,105) -- original: 60
		}
	}
	self.cage_door_deluxe.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = true,
			timer = math.random(15,105) -- original: 60
		}
	}
	self.cas_safe_giga.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = false,
			timer = math.random(15,105) -- original: 60
		}
	}
	self.cas_security_door.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = false,
			timer = math.random(15,105) -- original: 60
		}
	}
	self.cas_moneycounter_door.devices.drill = {
		{
			align = "a_drill",
			unit = Idstring("units/payday2/equipment/item_door_drill_small/item_door_drill_small"),
			can_jam = false,
			timer = math.random(15,105) -- original: 60
		}
	}
end